Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.log
Class LogAdapter

    java.lang.Object
      |
      +--com.solarmetric.log.LogAdapter

All Implemented Interfaces:
  org.apache.commons.logging.Log, LogConstants

public abstract class LogAdapter
extends Object
implements org.apache.commons.logging.Log, LogConstants

A simple adapter to allow the implementation of a Log). Only the method isLogEnabled and log need to be overridden.

Fields inherited from interface com.solarmetric.log.LogConstants
`DEBUG, ERROR, FATAL, INFO, TRACE, WARN`

Constructor Summary
`LogAdapter()`

Method Summary
`void` | `debug(Object message)` Log a message with debug log level.
`void` | `debug(Object message, Throwable t)` Log an error with debug log level.
`void` | `error(Object message)` Log a message with error log level.
`void` | `error(Object message, Throwable t)` Log an error with error log level.
`void` | `fatal(Object message)` Log a message with fatal log level.
`void` | `fatal(Object message, Throwable t)` Log an error with fatal log level.
`String` | `getLogLevel(short level)` Returns a String representation of the specified log level.
`static String` | `getStackTrace(Throwable t)` Utility method to obtain a stack trace as a String.
`void` | `info(Object message)` Log a message with info log level.
`void` | `info(Object message, Throwable t)` Log an error with info log level.
`boolean` | `isDebugEnabled()` Is debug logging currently enabled?
`boolean` | `isErrorEnabled()` Is error logging currently enabled?
`boolean` | `isFatalEnabled()` Is fatal logging currently enabled?
`boolean` | `isInfoEnabled()` Is info logging currently enabled?
`abstract boolean` | `isLogEnabled(short level)` Check to see if the specified logging level is enabled.
`boolean` | `isTraceEnabled()` Is trace logging currently enabled?
`boolean` | `isWarnEnabled()` Is warning logging currently enabled?
`abstract void` | `log(short level, String message, Throwable t)` Send the specified log message to the handler.
`void` | `trace(Object message)` Log a message with trace log level.
`void` | `trace(Object message, Throwable t)` Log an error with trace log level.
`void` | `warn(Object message)` Log a message with warn log level.
`void` | `warn(Object message, Throwable t)` Log an error with warn log level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogAdapter

    public LogAdapter()

Method Detail

### isLogEnabled

    public abstract boolean isLogEnabled(short level)

  Check to see if the specified logging level is enabled.

### getLogLevel

    public String getLogLevel(short level)

  Returns a String representation of the specified log level.

### getStackTrace

    public static String getStackTrace(Throwable t)

  Utility method to obtain a stack trace as a String.

### log

    public abstract void log(short level,
                             String message,
                             Throwable t)

  Send the specified log message to the handler.
  Parameters:
    `level` - the level of the log message
    `message` - the message to send
    `t` - the Throwable, or null if this is not an error

### debug

    public void debug(Object message)

  Log a message with debug log level.
  Specified by:
    `debug` in interface `org.apache.commons.logging.Log`

### debug

    public void debug(Object message,
                      Throwable t)

  Log an error with debug log level.
  Specified by:
    `debug` in interface `org.apache.commons.logging.Log`

### error

    public void error(Object message)

  Log a message with error log level.
  Specified by:
    `error` in interface `org.apache.commons.logging.Log`

### error

    public void error(Object message,
                      Throwable t)

  Log an error with error log level.
  Specified by:
    `error` in interface `org.apache.commons.logging.Log`

### fatal

    public void fatal(Object message)

  Log a message with fatal log level.
  Specified by:
    `fatal` in interface `org.apache.commons.logging.Log`

### fatal

    public void fatal(Object message,
                      Throwable t)

  Log an error with fatal log level.
  Specified by:
    `fatal` in interface `org.apache.commons.logging.Log`

### info

    public void info(Object message)

  Log a message with info log level.
  Specified by:
    `info` in interface `org.apache.commons.logging.Log`

### info

    public void info(Object message,
                     Throwable t)

  Log an error with info log level.
  Specified by:
    `info` in interface `org.apache.commons.logging.Log`

### isDebugEnabled

    public boolean isDebugEnabled()

  Is debug logging currently enabled?
  Specified by:
    `isDebugEnabled` in interface `org.apache.commons.logging.Log`

### isErrorEnabled

    public boolean isErrorEnabled()

  Is error logging currently enabled?
  Specified by:
    `isErrorEnabled` in interface `org.apache.commons.logging.Log`

### isFatalEnabled

    public boolean isFatalEnabled()

  Is fatal logging currently enabled?
  Specified by:
    `isFatalEnabled` in interface `org.apache.commons.logging.Log`

### isInfoEnabled

    public boolean isInfoEnabled()

  Is info logging currently enabled?
  Specified by:
    `isInfoEnabled` in interface `org.apache.commons.logging.Log`

### isTraceEnabled

    public boolean isTraceEnabled()

  Is trace logging currently enabled?
  Specified by:
    `isTraceEnabled` in interface `org.apache.commons.logging.Log`

### isWarnEnabled

    public boolean isWarnEnabled()

  Is warning logging currently enabled?
  Specified by:
    `isWarnEnabled` in interface `org.apache.commons.logging.Log`

### trace

    public void trace(Object message)

  Log a message with trace log level.
  Specified by:
    `trace` in interface `org.apache.commons.logging.Log`

### trace

    public void trace(Object message,
                      Throwable t)

  Log an error with trace log level.
  Specified by:
    `trace` in interface `org.apache.commons.logging.Log`

### warn

    public void warn(Object message)

  Log a message with warn log level.
  Specified by:
    `warn` in interface `org.apache.commons.logging.Log`

### warn

    public void warn(Object message,
                     Throwable t)

  Log an error with warn log level.
  Specified by:
    `warn` in interface `org.apache.commons.logging.Log`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.